%define	module	Crypt-CBC
%define name	perl-%{module}
%define version	2.29
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Encrypt Data with Cipher Block Chaining Mode
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%module/
Source:		http://www.cpan.org/modules/by-module/Crypt/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Crypt::Rijndael)
BuildRequires:	perl(Crypt::Blowfish)
BuildRequires:	perl(Crypt::Blowfish_PP)
BuildRequires:	perl(Crypt::CAST5)
BuildRequires:	perl(Crypt::DES)
BuildRequires:	perl(Crypt::IDEA)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is a Perl-only implementation of the cryptographic cipher
block chaining mode (CBC).  In combination with a block cipher such as
DES or IDEA, you can encrypt and decrypt messages of arbitrarily long
length.  The encrypted messages are compatible with the encryption
format used by SSLeay, and can be made compatible with the newer
OpenSSL package by specifying the -salt argument.

To use this module, you will first create a Crypt::CBC cipher object with
new().  At the time of cipher creation, you specify an encryption key
to use and, optionally, a block encryption algorithm.  You will then
call the start() method to initialize the encryption or decryption
process, crypt() to encrypt or decrypt one or more blocks of data, and
lastly finish(), to pad and encrypt the final block.  For your
convenience, you can call the encrypt() and decrypt() methods to
operate on a whole data value at once.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%check
%{__make} test

%install
rm -rf %{buildroot} 
%{makeinstall_std}

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README eg
%{perl_vendorlib}/Crypt
%{_mandir}/man3*/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.29-2mdv2009.0
+ Revision: 268403
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.29-1mdv2009.0
+ Revision: 196822
- update to new version 2.29

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.28-1mdv2009.0
+ Revision: 194923
- update to new version 2.28

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.24-1mdv2008.1
+ Revision: 97433
- update to new version 2.24

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.22-1mdv2008.0
+ Revision: 19825
- 2.22


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2007.0
- New version 2.19

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2007.0
- New release 2.18
- better source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.17-1mdk
- New release 2.17
- spec cleanup

* Wed Aug 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.15-1mdk
- New release 2.15

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.14-2mdk
- fix deps, summary and description

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.14-1mdk
- 2.14
- Make rpmbuildable

* Sat Jun 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.12-1mdk
- 2.12

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.11-1mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- cosmetics

